# rotate.cpp File Reference

Implementation of the "Rotate" layer. More...

`#include "rotate.h"`
`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`
`#include <synfig/transform.h>`
`#include <ETL/misc>`

## Functions

| SYNFIG_LAYER_INIT (Rotate)
| SYNFIG_LAYER_SET_NAME (Rotate,"rotate")
| SYNFIG_LAYER_SET_LOCAL_NAME (Rotate, N_("Rotate"))
| SYNFIG_LAYER_SET_CATEGORY (Rotate, N_("Transform"))
| SYNFIG_LAYER_SET_VERSION (Rotate,"0.1")
| SYNFIG_LAYER_SET_CVS_ID (Rotate,"$Id$")

## Detailed Description

Implementation of the "Rotate" layer.

$Id$

=== N O T E S ===========================================================

=========================================================================

## Function Documentation

SYNFIG_LAYER_INIT | ( | Rotate |  | ) |

SYNFIG_LAYER_SET_NAME | ( | Rotate | ,
|  | "rotate" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | Rotate | ,
|  | N_("Rotate") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | Rotate | ,
|  | N_("Transform") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | Rotate | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | Rotate | ,
|  | "$Id$" |  |
| ) |  |  |